Start flow run
curl --request POST \
--url https://api.gumloop.com/api/v1/start_pipeline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "xxxxxxxxxxxxxx",
"saved_item_id": "xxxxxxxxxxxxxx",
"recipient": "recipient@gmail.com",
"subject": "Example of an Email Subject Line",
"body": "Example of the Text of an Email Body",
"topic": "weekly update"
}
'import requests
url = "https://api.gumloop.com/api/v1/start_pipeline"
payload = {
"user_id": "xxxxxxxxxxxxxx",
"saved_item_id": "xxxxxxxxxxxxxx",
"recipient": "recipient@gmail.com",
"subject": "Example of an Email Subject Line",
"body": "Example of the Text of an Email Body",
"topic": "weekly update"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: 'xxxxxxxxxxxxxx',
saved_item_id: 'xxxxxxxxxxxxxx',
recipient: 'recipient@gmail.com',
subject: 'Example of an Email Subject Line',
body: JSON.stringify('Example of the Text of an Email Body'),
topic: 'weekly update'
})
};
fetch('https://api.gumloop.com/api/v1/start_pipeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "<string>",
"saved_item_id": "<string>",
"workbook_id": "<string>",
"url": "<string>"
}Start flow run
This endpoint is used to trigger a flow run via API
POST
/
start_pipeline
Start flow run
Authorizations
Body
application/json
In addition to the documented top-level fields, you may include any additional inputs in the request body.
The id for the user initiating the flow.
The id for the saved flow.
(Optional) The id of the project within which the flow is executed.
Arbitrary input value. The property key is matched by name to an Input node in the flow, and the entire body will be forwarded to any Webhook Input node.
Was this page helpful?
⌘I
